#include <bits/stdc++.h>1

using namespace std;

unsigned long long f(long long h, long long w){
    if (h == 1 && w == 1){
        return 1;
    } else {
        if (h > w){
            return (w * (w + 3)) / 2 - 1 + f(h - 1, w) + h * w;
        } else {
            return (h * (h + 3)) / 2 - 1 + f(w - 1, h) + h * w;
        }
    }
}

int main() {
    ios::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    long long h, w;
    cin >> h >> w;
    cout << f(h, w);
}
